import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
const individual = await client.sandbox.individual.update('individual_id');
console.log(individual.id);from finch import Finch
client = Finch(
access_token="My Access Token",
)
individual = client.sandbox.individual.update(
individual_id="individual_id",
)
print(individual.id)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go"
"github.com/Finch-API/finch-api-go/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
individual, err := client.Sandbox.Individual.Update(
context.TODO(),
"individual_id",
finchgo.SandboxIndividualUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", individual.ID)
}
package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.IndividualUpdateResponse;
import com.tryfinch.api.models.SandboxIndividualUpdateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
IndividualUpdateResponse individual = client.sandbox().individual().update("individual_id");
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.IndividualUpdateResponse
import com.tryfinch.api.models.SandboxIndividualUpdateParams
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val individual: IndividualUpdateResponse = client.sandbox().individual().update("individual_id")
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
individual = finch.sandbox.individual.update("individual_id")
puts(individual)curl --request PUT \
--url https://api.tryfinch.com/sandbox/individual/{individual_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dob": "12/20/1989"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryfinch.com/sandbox/individual/{individual_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'dob' => '12/20/1989'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"preferred_name": "<string>",
"emails": [
{
"data": "<string>",
"type": "work"
}
],
"phone_numbers": [
{
"data": "<string>",
"type": "work"
}
],
"gender": "female",
"ethnicity": "asian",
"marital_status": "single",
"dob": "<string>",
"ssn": "<string>",
"encrypted_ssn": "<string>",
"residence": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"name": "<string>",
"source_id": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Update sandbox individual
import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
const individual = await client.sandbox.individual.update('individual_id');
console.log(individual.id);from finch import Finch
client = Finch(
access_token="My Access Token",
)
individual = client.sandbox.individual.update(
individual_id="individual_id",
)
print(individual.id)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go"
"github.com/Finch-API/finch-api-go/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
individual, err := client.Sandbox.Individual.Update(
context.TODO(),
"individual_id",
finchgo.SandboxIndividualUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", individual.ID)
}
package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.IndividualUpdateResponse;
import com.tryfinch.api.models.SandboxIndividualUpdateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
IndividualUpdateResponse individual = client.sandbox().individual().update("individual_id");
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.IndividualUpdateResponse
import com.tryfinch.api.models.SandboxIndividualUpdateParams
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val individual: IndividualUpdateResponse = client.sandbox().individual().update("individual_id")
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
individual = finch.sandbox.individual.update("individual_id")
puts(individual)Authorizations
Please use your Access Token
Path Parameters
Body
The legal first name of the individual.
The legal middle name of the individual.
The legal last name of the individual.
The preferred name of the individual.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The gender of the individual.
female, male, other, decline_to_specify, null The EEOC-defined ethnicity of the individual.
asian, white, black_or_african_american, native_hawaiian_or_pacific_islander, american_indian_or_alaska_native, hispanic_or_latino, two_or_more_races, decline_to_specify, null The employee's marital status, used for beneficiary designation and spousal consent workflows.
single, married, divorced, widowed, domestic_partner, unknown, null (\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))Social Security Number of the individual. This field is only available with the ssn scope enabled and the options: { include: ['ssn'] } param set in the body. Click here to learn more about enabling the SSN field.
Social Security Number of the individual in encrypted format. This field is only available with the ssn scope enabled and the options: { include: ['ssn'] } param set in the body.
Show child attributes
Show child attributes
Response
OK
The legal first name of the individual.
The legal middle name of the individual.
The legal last name of the individual.
The preferred name of the individual.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The gender of the individual.
female, male, other, decline_to_specify, null The EEOC-defined ethnicity of the individual.
asian, white, black_or_african_american, native_hawaiian_or_pacific_islander, american_indian_or_alaska_native, hispanic_or_latino, two_or_more_races, decline_to_specify, null The employee's marital status, used for beneficiary designation and spousal consent workflows.
single, married, divorced, widowed, domestic_partner, unknown, null (\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))Social Security Number of the individual. This field is only available with the ssn scope enabled and the options: { include: ['ssn'] } param set in the body. Click here to learn more about enabling the SSN field.
Social Security Number of the individual in encrypted format. This field is only available with the ssn scope enabled and the options: { include: ['ssn'] } param set in the body.
Show child attributes
Show child attributes
A stable Finch id (UUID v4) for an individual in the company.
[0-9a-f]{8}[-]?(?:[0-9a-f]{4}[-]?){3}[0-9a-f]{12}Was this page helpful?